/**
 * Script: whitelist.js
 *     The client-side javascript code for the whitelist plugin.
 *
 * Copyright:
 *     (C) mhertz 2022 <yourname@example.com>
 *
 *     This file is part of whitelist and is licensed under GNU GPL 3.0, or
 *     later, with the additional special exception to link portions of this
 *     program with the OpenSSL library. See LICENSE for more details.
 */

whitelistPlugin = Ext.extend(Deluge.Plugin, {
    constructor: function(config) {
        config = Ext.apply({
            name: 'whitelist'
        }, config);
        whitelistPlugin.superclass.constructor.call(this, config);
    },

    onDisable: function() {
        deluge.preferences.removePage(this.prefsPage);
    },

    onEnable: function() {
        this.prefsPage = deluge.preferences.addPage(
            new Deluge.ux.preferences.whitelistPage());
    }
});
new whitelistPlugin();
